summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorJunegunn Choi <junegunn.c@gmail.com>2015-09-18 10:26:04 +0900
committerJunegunn Choi <junegunn.c@gmail.com>2015-09-18 10:28:09 +0900
commit93988780484c9e77dc468ed7e1b9be05c7335f7d (patch)
treeca3b7907d530ba407b8990a1bae594ddccadf8a0 /bin
parentca19762e58533c6d7c7b25d7fcc41dc7ea898b3e (diff)
[fzf-tmux] Exit with the same exit status as with fzf
Diffstat (limited to 'bin')
-rwxr-xr-xbin/fzf-tmux4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/fzf-tmux b/bin/fzf-tmux
index 5f690e5e..239c8781 100755
--- a/bin/fzf-tmux
+++ b/bin/fzf-tmux
@@ -102,7 +102,7 @@ trap cleanup EXIT SIGINT SIGTERM
fail() {
>&2 echo "$1"
- exit 1
+ exit 2
}
fzf="$(which fzf 2> /dev/null)" || fzf="$(dirname "$0")/fzf"
[ -x "$fzf" ] || fail "fzf executable not found"
@@ -134,5 +134,5 @@ else
cat <&0 > $fifo1 &
fi
cat $fifo2
-[ "$(cat $fifo3)" = '0' ]
+exit "$(cat $fifo3)"